#building-project .close ,
#model_hospital .close {
	position: absolute;
	top: 36px;
	right: 36px;
	background-color: #2db7b3;
	color: #fff;
	z-index: 100;
	border-radius: 8px;
	font-size: 16px;
	width: 95px;
	padding: 15px;
	line-height: 1;
}

/* 项目弹窗：building-project */
#building-project {
	background-color:rgba(0,0,0,.85);
	width: 100%; 
	height: 100vh;
	overflow: hidden;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 150;
	display: none;
}

.pro-playground {
	width: 100%;
	/* height: 4000px; */
	background-color: #004246;
	position: relative;
}

.animation-container { 
	position: sticky;
	top: 0;
	left: 0;
	width: 100%; 
	height: 100vh;
	overflow: hidden;
}


.project-loadingScreen {
	width: 100%;
	height: 100%;
	position: absolute;
	z-index: 100;
}

.project-loadingScreen img { height: 100%; }


/* 遮罩层 */
.project-loadingScreen {
	width: 100%;
	height: 100%;
	position: absolute;
	top: 50%;
	left: 50%;
	/* transform: translate(-50%,-50%) scale(1);  */
	z-index: 100;
}

.project-loadingScreen img { 
	min-width: 100%;
	height: 100%; 
	object-fit: cover;
}

.project-loadingScreen,
.project-loadingScreen img ,
.cloud ,
.cloud img { pointer-events: none;  }
			


.animated-ringsScaled { animation: ringsScaled 1.5s ease-out .05s forwards; }
@keyframes ringsScaled {
	0% { transform: translate(-50%,-50%) scale(1); } 
	26% { transform: translate(-50%,-50%) scale(2); } 
	100% { transform: translate(-50%,-50%) scale(4); }
}


.animated-ringsScaledOut { animation: ringsScaledOut 1s ease-in  forwards; }
@keyframes ringsScaledOut {
	0% { transform: translate(-50%,-50%) scale(4); }
	/* 84% { transform: translate(-50%,-50%) scale(2); } */
	100% { transform: translate(-50%,-50%) scale(1); } 
}


.animated-mapScaled { animation: mapScaled 1.25s ease-out forwards; }
@keyframes mapScaled { 
	0%  { transform: translate(-50%,-50%) scale(.6); } 
	100% { transform: translate(-50%,-50%) scale(1); } 
}

.animated-mapScaledOut  { animation: mapScaledOut 1s ease-in .1s forwards; }
@keyframes mapScaledOut { 
	0% { transform: translate(-50%,-50%) scale(1); } 
	100%  { transform: translate(-50%,-50%) scale(.6); }  
}


.animated-imgBlur { animation: imgBlur 1s ease-out .5s forwards; }
@keyframes imgBlur { 
	0%   { filter: blur(5px); -webkit-filter: blur(5px); } 
	100% { filter: blur(0px); -webkit-filter: blur(0px); } 
}

.animated-imgBlurOut { animation: imgBlurOut 1s ease-out forwards; }
@keyframes imgBlurOut { 	
	0% { filter: blur(0px); -webkit-filter: blur(0px); }
	100%   { filter: blur(5px); -webkit-filter: blur(5px); } 
}


@keyframes bannerInUp {
	from { opacity: 0; transform: translateY(-50px); }
	to { opacity: 1; transform: translateY(0); }
}


 

/* map-playground */
.map-playground { 
	width: 100%; 
	height: 100%;
	position: absolute ; 
	top: 50%; 
	left: 50%; 
	transform: translate(-50%,-50%) scale(1);
	z-index: 9;
	
} 


.map-playground img#buildings-map {
	width: auto;
	max-width: unset;
	height: 105vh;
	object-fit: cover;
	position: absolute;
	/* top: 36%;
	left: 72%; */
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%) scale(1);	 
	z-index: 1;
	filter: blur(5px);
	-webkit-filter: blur(5px); 
}

.buildings-list { 
	width: 100%;
	height: 100vh;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%) scale(1);	
	z-index: 5;
	/* background-color: rgba(0,0,0,.5); */
	display: flex;
	justify-content: center;
	align-items: center;   
} 

.list-item {
	display: inline-flex;
	align-items: center; 
	font-size: 22px;
	position: absolute;
	cursor: pointer;
	transform-origin: left center;
	opacity: 0;
	transform: translateY(-50px);
	transition: all .35s;
}

.list-item p { 
	background-color: #fff;
	color:#2db7b3 ;
	border-radius: 8px;
	font-size: 18px;
	display: inline-block;
	line-height: 1.35;
	padding: 10px 18px;
	transition: all .35s; 
}

.buildings-icon {
	display: inline-block;
	width: 10px;
	height: 10px;
	margin-right: 15px;
	border-radius: 50%;
	background-color:#2db7b3 ;
	box-shadow: 0 0 1px 7px rgba(45,183,179 , .35);
}

.list-item:hover { }
/* .list-item:nth-child(1) { left: calc(50% - 81vh);  top: calc(50% - 4vh); }
.list-item:nth-child(2) { left: calc(50% - 34vh ); top: calc(50% - 4vh ); }
.list-item:nth-child(3) { left: calc(50% - 4vh ); top: calc(50% + 7vh ); }
.list-item:nth-child(4) { left: calc(50% + 25vh ); top: calc(50% - 2vh ); }
.list-item:nth-child(5) { left: calc(50% + 65vh ); top: calc(50% - 2vh ); } */

/* 1980px */
.list-item:nth-child(1) { left: calc(50% - 84vh);  top: calc(50% - 0vh); }
.list-item:nth-child(2) { left: calc(50% - 35vh ); top: calc(50% + 1vh ); }
.list-item:nth-child(3) { left: calc(50% - 11vh ); top: calc(50% + 11vh ); }
.list-item:nth-child(4) { left: calc(50% + 16vh ); top: calc(50% + 3vh ); }
.list-item:nth-child(5) { left: calc(50% + 46vh ); top: calc(50% + 3vh ); }

.onScale .buildings-icon,
.list-item:hover .buildings-icon { 
	/* background-color: rgba(236,108,0 , 1); */
	box-shadow: 0 0 1px 7px rgba(255,255,255, .5) !important; 
	transition: all .35s; 
}
/* 项目弹窗：building-project-end */

.list-item p:hover ,
.onScale p { background-color: #2db7b3 !important; color: #fff !important; transition: all .35s; }


.onScale:last-child p {transform: translateX(-132%) !important;transition: all .35s;  }


/* 面板参数 */
.list-item-panle {
	width:100%;
	height: 100vh;
	position: fixed;
	right: 0;
	bottom: 0; 
	z-index: -1;
	color: #fff;
	transition: all .35s;
}

.none-click { 
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 10;
}

.bg-blur { 
	width: 400px;
	position: fixed;
	right: 40px;
	bottom: 40px; 
	z-index: 108;
	color: #fff;
	transition: all .35s;
}

.list-item-panle .panle-item {
	width: 100%;
	box-sizing: border-box;
	padding: 20px;
	background-color: rgba(255,255,255,.2); 
	position: absolute;
	top: 0;
	left: 0; 
	opacity: 0;
	/* 
	filter: blur(8px);
	-webkit-filter:blur(8px) ; */
	transform: translateX(100%);
	transition: all .35s ease-out;
}

.item-active { 
	position: relative !important;
	opacity: 1 !important; 
	transform: translateX(0) !important;
	transition: all .35s ease-out .15s;
}


.list-item-panle ,
.list-item-panle .panle-office,
.flat-building { border-radius: 10px; }

.office-name { 
	position: relative; 
	display: flex; 
	justify-content: space-between; 
	align-items: center; 
	font-size: 18px;
	margin-bottom: 20px;
	font-weight: bold;
}

.office-name button {
	font-size: 16px;
	border: none;
	outline: none;
	background-color: transparent;
}


.flat-building {
	padding: 20px;
	background-color: rgba(255,255,255,1);
	max-height: 81vh;
	overflow-y: scroll;
}

.flat-building::-webkit-scrollbar { width: 5px; background-color: rgba(255,255,255,1); }
.flat-building::-webkit-scrollbar-thumb {  background-color: #2db7b3; }

.flat-building ul li {
	background-color: #eaf8f7;
	border-radius: 8px;
	margin-top: 8px;
	padding: 10px 15px;
	color: #2db7b3;
	display: flex;
	justify-content: space-between;
	align-items: center;
	cursor: pointer;
}

.flat-building ul li p { max-width: 70%; text-align: right; font-size: 14px;}

/* 面板参数-end */


/* 新增轮播 */
.model-slide { display: none; }

#v-windows .swiper-slide h3 { margin-top: 12px; }
#v-windows .swiper-pagination { position: static; }

.open-slide { 
	width: 100%;
	height: 100%;
	position: relative; 
	opacity: 0; 
	transform: scale(.1); 
	transform-origin: center center; 
	transition: all .5s; 
}
.windowsFadeIn { animation: windowsFadeIn .5s ease-in-out forwards; } 
@-webkit-keyframes windowsFadeIn {
	from { opacity: 0; transform: scale(.1); }
	to { opacity: 1; transform: scale(1);  }
}

/* 新增轮播-end */



/* cloud */
.cloud { 
	width: 100vw; 
	height: 100vh; 
	position: absolute;
	left: 0;
	top: 0;
	z-index: 10;
	overflow: hidden;
	/* transform: translate3d(0px ,0px ,0) scale(); */
}

.cloud img { position: absolute; display: block; }
.cloud img.cloud-1 { right: -40%; top: -83px; transform: translate(0,0) scale(1); opacity:1;   }
.cloud img.cloud-2 { right: -40%; top: -146px; transform: translate(0,0) scale(1); opacity:1; animation: cloudToleft 60s linear .1s infinite;   }
.cloud img.cloud-3 { right: -90%; bottom: -75px; transform: translate(0,0) scale(1);   /* opacity:0.35; animation: cloudToleft2 30s linear .35s infinite; */  }
.cloud img.cloud-4 { right: -90%; bottom: -206px; transform: translate(0,0) scale(1) ; filter: blur(15px); opacity:1;  animation: cloudToleft2 90s linear 5s infinite;  /* opacity:0.35; animation: cloudToleft 18s linear 2s infinite; */   }

.animated-cloudToleft { animation: cloudToleft .15s ease-out 2s infinite; }


@keyframes cloudToleft {
	0 { right: -40%; transform: translate(0,0) scale(1); filter: blur(34px); opacity:1; }
	
	70% { right: 70%; transform: translate(0,0) scale(1.5); filter: blur(34px); opacity: 1;  }
	
	100% { right: 140%; transform: translate(0,0) scale(1); filter: blur(0px); opacity: 0;  } 
}


@keyframes cloudToleft2 {
	0 { right: -90%; transform: translate(0,0) scale(1); filter: blur(15px); opacity:1; }
	
	70% { right: 70%; transform: translate(0,0) scale(1); filter: blur(15px); opacity: .5;  }
	
	100% { right: 140%; transform: translate(0,0) scale(1); filter: blur(0px); opacity: 0;  } 
}
			
			
/* cloud-end */


/* 2024-11-19 */
.fixed-model {display: none; }



